ru.bitel.oss.systems.inventory.subscription.common.bean

## Class Subscription

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.oss.systems.inventory.subscription.common.bean.Subscription

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Subscription
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `int` | `getServId()`
    `int` | `getSubscribeMode()`
    `java.util.Date` | `getSubscribeTime()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `int` | `getTypeId()`
    `java.lang.String` | `getTypeTitle()`
    `java.util.Date` | `getUnsubscribeTime()`
    `int` | `getUserId()`
    `void` | `setContractId(int contractId)`
    `void` | `setServId(int servId)`
    `void` | `setSubscribeMode(int subscribeMode)`
    `void` | `setSubscribeTime(java.util.Date subscribeTime)`
    `void` | `setTimeFrom(java.util.Date timeFrom)`
    `void` | `setTimeTo(java.util.Date timeTo)`
    `void` | `setTypeId(int typeId)`
    `void` | `setTypeTitle(java.lang.String typeTitle)`
    `void` | `setUnsubscribeTime(java.util.Date unsubscribeTime)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Subscription

          public Subscription()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getServId

          public int getServId()

    - #### setServId

          public void setServId(int servId)

    - #### getTypeId

          public int getTypeId()

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### getTypeTitle

          public java.lang.String getTypeTitle()

    - #### setTypeTitle

          public void setTypeTitle(java.lang.String typeTitle)

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### setTimeFrom

          public void setTimeFrom(java.util.Date timeFrom)

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### setTimeTo

          public void setTimeTo(java.util.Date timeTo)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getSubscribeMode

          public int getSubscribeMode()

    - #### setSubscribeMode

          public void setSubscribeMode(int subscribeMode)

    - #### getSubscribeTime

          public java.util.Date getSubscribeTime()

    - #### setSubscribeTime

          public void setSubscribeTime(java.util.Date subscribeTime)

    - #### getUnsubscribeTime

          public java.util.Date getUnsubscribeTime()

    - #### setUnsubscribeTime

          public void setUnsubscribeTime(java.util.Date unsubscribeTime)